English
0

Providing updates for old Apple devices to fix security vulnerabilities

Providing updates for old Apple devices to fix security vulnerabilities

Apple recently released the new version of iOS 16.3 for new devices. Other security updates for old products By disclosing a vulnerability, it has recently been actively exploited. This security issue, tracked as CVE-2022-42856, is a type confusion issue in the browser’s Webkit engine and can lead to the execution of malicious code and web content.

The problem of type confusion occurs when a program uses a specific method to allocate resources and then accesses that resource using another method that is incompatible with the first one. This vulnerability was first fixed by Apple in the Ios 16.1.2 update in November, but this security bug has spread to other devices and software such as iOS 15.7.2, iPadOS 15.7.2, macOS Ventura 13.1, tvOS 16.2 and Safari. 16.2 is also extended.

Apple acknowledged on Monday that it is aware of the problems caused by exploiting this vulnerability in iOS 15.1. In this regard, Apple has released the latest iOS 12.5.7 update for iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad mini 2, iPad mini 3 and iPod touch 6th generation devices.

Apple update old device

However, Google TAG security researchers have managed to discover this vulnerability, and due to possible exploits, not many details are available about this vulnerability.

Apple’s new update for older devices comes as Apple recently released a new version of iOS 16.3 for its new products with a focus on fixing security issues. The newly released version of macOS Ventura 13.2 fixes two DDoS bugs in the ImageIO and Safari services, along with a system kernel vulnerability that led to the disclosure of sensitive information.

  • iOS 16.3 operating system was released with new security features
  • Patent registration of shatter-resistant foldable display by Apple
  • Apple quietly lays off non-seasonal employees

More Similar Posts

Leave a Reply

Your email address will not be published. Required fields are marked *

Fill out this field
Fill out this field
Please enter a valid email address.
You need to agree with the terms to proceed

Most Viewed Posts
Menu